Package org.apache.commons.lang3.concurrent

## Class ConcurrentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.lang3.concurrent.ConcurrentException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ConcurrentException
    extends java.lang.Exception

An exception class used for reporting error conditions related to accessing data of background tasks.

The purpose of this exception class is analogous to the default JDK exception class `ExecutionException`, i.e. it wraps an exception that occurred during the execution of a task. However, in contrast to `ExecutionException`, it wraps only checked exceptions. Runtime exceptions are thrown directly.

Since:
  3.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ConcurrentException()` Creates a new, uninitialized instance of `ConcurrentException`.
`` `ConcurrentException​(java.lang.String msg, java.lang.Throwable cause)` Creates a new instance of `ConcurrentException` and initializes it with the given message and cause.
`` `ConcurrentException​(java.lang.Throwable cause)` Creates a new instance of `ConcurrentException` and initializes it with the given cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConcurrentException

    protected ConcurrentException()

Creates a new, uninitialized instance of `ConcurrentException`.

#### ConcurrentException

    public ConcurrentException​(java.lang.Throwable cause)

Creates a new instance of `ConcurrentException` and initializes it with the given cause.

Parameters:
  `cause` - the cause of this exception
Throws:
  `java.lang.IllegalArgumentException` - if the cause is not a checked exception

#### ConcurrentException

    public ConcurrentException​(java.lang.String msg,
                               java.lang.Throwable cause)

Creates a new instance of `ConcurrentException` and initializes it with the given message and cause.

Parameters:
  `msg` - the error message
  `cause` - the cause of this exception
Throws:
  `java.lang.IllegalArgumentException` - if the cause is not a checked exception